> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toapis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 歌词 / 灵感 / 音效 / 标签

> lyrics 歌词生成,inspo 参考音频灵感,sounds 音效,upsampleTags 标签扩写

> [!NOTE]
>
> **国内用户请注意：** 中国大陆用户请使用 `https://toapis.cn` 作为接口地址（Base URL）。

```
POST https://toapis.com/v1/music/generations/{operation}
```

**model** `string` *required*

固定 `"suno"`

## lyrics — 歌词生成(\$0.008)

**prompt** `string` *required*

歌词主题描述

**lyrics\_model** `string`

歌词模型：`classic` / `remi`（可选）

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/music/generations/lyrics \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{"model":"suno","prompt":"写一首关于夏日海边的歌"}'
```

## inspo — 参考音频灵感生成($0.068,Max $0.136)

以 1-4 条参考音频为灵感生成新歌曲。

**audio\_urls** `array` *required*

1-4 条公网音频 URL

**max\_mode** `boolean`

Max 档（本操作无 `custom`，直接生效）

> [!WARNING]
>
> 不要传 `custom`，上游会拒绝。

## sounds — 音效生成(\$0.0096)

**prompt** `string` *required*

音效描述

**type** `string`

音效类型

**bpm** `number`

节拍（范围 1-300)

**key** `string`

调性

## upsampleTags — 风格标签扩写(\$0.004)

将简短风格标签扩写为详细风格描述。

**tags** `string` *required*

风格标签，如 `"lo-fi chill beats"`

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/music/generations/upsampleTags \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{"model":"suno","tags":"lo-fi chill beats"}'
```

## Response

**task\_id** `string`

任务 ID

**status** `string`

`submitted`


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.